QGIS Application - Bug report #1914
Relative paths aren't stored for GRASS layers
2009-09-01 11:31 PM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee: Jurgen Fischer
Category: Project Loading/Saving

Affected QGIS version:
Operating System: Unix

Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 11974

Description

subj

History

#1 - 2009-09-06 07:25 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

fixed in commit:ddd64be8 (SVN r11572)

#2 - 2009-09-29 10:18 AM - Giovanni Manghi
- Resolution deleted (fixed)
- Status changed from Closed to Feedback

| have to reopen this after having done the same for #1864.

Add a GRASS layer, uncheck "save relative paths" and save the project.

When you try to open it, qgis crashes:

access: No such file or directory
terminate called after throwing an instance of 'QgsGrass::Exception'

what(): LOCATION << home/qgis_sample_data/grassdata/alaska/demo/airports/airports >> not available

Aborted

#3 - 2009-09-29 10:55 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Feedback to Closed

Replying to [comment:4 lutra]:

I have to reopen this after having done the same for #1864.
right, and | close this for the same reason ;)

#4 - 2009-09-29 11:38 AM - Giovanni Manghi

again sorry for the noise, | tought it was already solved in a previous revision.

2024-04-10 22



